Subject: bug#73930: closed (Re: [bug#73930] [PATCH] gnu: git-repo: Update to 2.29.7)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 27 May 2025 00:19:03 +0000

Your bug report

#73930: [PATCH] gnu: git-repo: Update to 2.29.7

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
73930: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=73930
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#73930] [PATCH] gnu: git-repo: Update to 2.29.7
From: Maxim Cournoyer <[email-masked]>
To: Doğan Çeçen <[email-masked]>
Cc: [email-masked]
Date: Tue, 27 May 2025 09:17:57 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Doğan Çeçen <[email-masked]> writes:

> Hi Maxim,
>
> Thanks for looking into this.
>
>> This looks too simple to be true, given the complex patching going on in
>> phases (in retrospect this should have been done via a real patch to
>> avoid silent breakage like is probably happening here).
>
> Sorry, I am not following. What do you mean by the complex patching
> going on in phases and the silent breakage?

I meant the do-not-self-update phase, which I had painstakingly devised
to avoid the tool from self-updating its version at runtime ;-).

>> The idea of the patch was to ensure 'git-repo' wouldn't update itself
>> when run, as that defeats the immutable principle of Guix packages.
>
>>>From what I can tell, it doesn't do that. Or, at least, it reports
> repeatedly the same version when I run `repo --version`, and it says
> the version I upgraded to, 2.29.7. And, I was able to use the tool
> successfully after the upgrade.

Great.  So either the do-not-self-update substitutions still worked, or
the tool didn't have a newer version to update to.  To make sure, we
could run tcpdump or strace to see if it's calling home.

But that won't be necessary; apparently there's a new
REPO_SKIP_SELF_UPDATE environment variable we set to ensure that, and
someone submitted an update to 2.54 utilising it.  See commit
6c1cc9e360.

Closing.

-- 
Thanks,
Maxim

Subject: [PATCH] gnu: git-repo: Update to 2.29.7
From: Doğan Çeçen <[email-masked]>
To: [email-masked]
Cc: Doğan Çeçen <[email-masked]>
Date: Mon, 21 Oct 2024 15:00:11 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Fixes ModuleNotFoundError: No module named 'formatter'.
This module was deprecated, and removed in Python 3.10.

* gnu/packages/android.scm (git-repo): Update to 2.29.7

Change-Id: I74d48fd9a8afc76c18d866b252a139f77b7ab838
---
 gnu/packages/android.scm | 11 +++++------
 1 file changed, 5 insertions(+), 6 deletions(-)

diff --git a/gnu/packages/android.scm b/gnu/packages/android.scm
index 11e05dced9..0f41fa8695 100644
--- a/gnu/packages/android.scm
+++ b/gnu/packages/android.scm
@@ -919,7 +919,7 @@ (define-public etc1tool
 (define-public git-repo
   (package
     (name "git-repo")
-    (version "2.4.1")
+    (version "2.29.7")
     (source
      (origin
        (method git-fetch)
@@ -928,7 +928,7 @@ (define-public git-repo
              (commit (string-append "v" version))))
        (file-name (string-append "git-repo-" version "-checkout"))
        (sha256
-        (base32 "0khg1731927gvin73dcbw1657kbfq4k7agla5rpzqcnwkk5agzg3"))))
+        (base32 "01sl9bz9rnhf9s3h7nlhkpxm0ggc5jzs30n11vlvnv2mqp8r1jvq"))))
     (build-system python-build-system)
     (arguments
      `(#:phases
@@ -1000,12 +1000,11 @@ (define-public git-repo
                (symlink (string-append repo-dir "/repo")
                         (string-append bin-dir "/repo"))
                #t))))))
-    (inputs
      ;; TODO: Add git-remote-persistent-https once it is available in guix
-     `(("git" ,git)
-       ("ssh" ,openssh)))
+    (inputs
+      (list git openssh gnupg))
     (native-inputs
-     `(("pytest" ,python-pytest)))
+      (list python-pytest))
     (home-page "https://code.google.com/p/git-repo/")
     (synopsis "Helps to manage many Git repositories")
     (description "Repo is a tool built on top of Git.  Repo helps manage many

base-commit: 59b2a60d0041882d732e1766e28f0df5a1ef1ac1
-- 
2.46.0